Jump to content
Sogobudo

LCPDFR Not Working

Recommended Posts

Greetings everyone.  First Id like to say hello as a new member of the forums.

 

Part One:

Im having issues getting the LCPDFR mod to run on my GTA4 game.  I downloaded the Diagnostic Tool to run a check so I can post the issue in the forum, yet the Diagnostic Tool Keeps crashing before it gives me a diagnostic of the script.  Ive downloaded it a couple times and still cant get the issue to resolve.  I was hoping someone might have a suggestion?  This particular issue in reference to the Diagnostic tool is resolved, it crashed because i was double clicking the "start" button more than once and sometimes it would also crash if i pressed the "information" button.  It seems to be all better now, or at least functioning so I can get a dump file. (simple fix, unzipped diagnostic tool into folder and installed as an admin.)

 

Ive recently purchased the game and have only played long enough to get into the game (signing into Live/Social Club) then I exited and downloaded the auto install version of the LCPDFR.  I ran through alot of the troubleshooting from the forums and still nothing worked.  I was able to access the command line in game via the "~".  However I could not get the "alt + P" to do anything nor a command of "forceduty".

 

I do have a follow up question as to why the LCPDFR isnt working on my GTA4 game, but i cant ask it without giving some indication using the diagnostic tool as to what is going on.  So perhaps someone can get me started with the Diag Tool first.  This particular issue in reference to the Diagnostic tool is resolved. (simple fix, unzipped diagnostic tool into folder and installed as an admin.)

 

-Zonn

 

----------------------------

 

Part Two:

Every now and again the Diagnostic Tool will work.  It will give me a message that says.  "Sorry, but your system/installation is not supported.  Please try to fix the issues mentioned."

Issues:

GTA IV: .NET Scripthook found but out of date [i have the most updated .NET software]

GTA IV: LCPD First Response not found. [i downloaded and installed the auto installer via the forums]

GTA IV: LCPD First Response settings not found.

GTA IV: LCPD First Response audio not found.

 

Here is the Dump I got from using the Diagnostic Tool.

 

BEGIN *SIGNED* LCPD First Response Issue Report

Diagnostics Tool Version: 0.4.3
Operating system: Windows7 HomePremium (6.1.1.0 Build: 7601) Service Pack:Service Pack 1
System RAM (GB): 7.93
CPU cores: 4
NET Framework 4.0 installed: True
Visual C++ 2010 Redistributable installed: True
GTA IV - Installed: True
GTA IV - Install folder: C:Program Files (x86)SteamsteamappscommonGrand Theft Auto IVGTAIV
GTA IV - Version: 1, 0, 7, 0
GTA IV - Asi loader installed: True
GTA IV - Asi loader: DSOUND
GTA IV - Asi loader valid: True
GTA IV - C++ ScriptHook installed: True
GTA IV - C++ ScriptHook valid: True
GTA IV - C++ ScriptHook version: 0, 5, 1, 0
GTA IV - ScriptHookDotNet installed: True
GTA IV - ScriptHookDotNet valid: False
===============BEGIN .NET SCRIPTHOOK LOG===============
2014-03-17 12:25:42 - Initializing ScriptHookDotNet v1.7.1.7 BETA (on GTA IV version 1.0.7.0 with C++ Hook version 0.5.1)
2014-03-17 12:26:50 - Direct3D device created!
 
2014-03-17 12:26:50 - SEARCHING FOR SCRIPTS...
2014-03-17 12:26:50 - Loading scripts in Assembly 'scriptsLCPDFR Loader.net.dll' ...
2014-03-17 12:26:50 -  ...found script 'LCPDFR_Loader.Loader'!
2014-03-17 12:26:50 -  ...found script 'LCPDFR_Loader.PublicScript'!
2014-03-17 12:26:50 - DONE! 2 valid scripts found!
 
2014-03-17 12:26:50 - STARTING SCRIPTS...
2014-03-17 12:26:50 - INFO: Phone number checks are not available!
2014-03-17 12:26:50 -  ...successfully started script 'LCPDFR_Loader.PublicScript'!
2014-03-17 12:26:50 -  ...successfully started script 'LCPDFR_Loader.Loader'!
2014-03-17 12:26:50 - Error during Tick in script 'LCPDFR_Loader.Loader':
                      System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.IO.FileNotFoundException: Could not load file or assembly 'AdvancedHook.dll' or one of its dependencies. The specified module could not be found.
                         at freval_287.fr0(String A_0)
                         at LCPD_First_Response.Engine.Main.fr3()
                         at LCPD_First_Response.Engine.Main.Main_Tick(Object sender, EventArgs e)
                         --- End of inner exception stack trace ---
                         at System.RuntimeMethodHandle.InvokeMethod(Object target, Object[] arguments, Signature sig, Boolean constructor)
                         at System.Reflection.RuntimeMethodInfo.UnsafeInvokeInternal(Object obj, Object[] parameters, Object[] arguments)
                         at System.Reflection.RuntimeMethodInfo.Invoke(Object obj, BindingFlags invokeAttr, Binder binder, Object[] parameters, CultureInfo culture)
                         at LCPDFR_Loader.Test.Tick(Object sender, EventArgs e)
                         at LCPDFR_Loader.Loader.Loader_Tick(Object sender, EventArgs e)
                         at GTA.Script.TryTick()
                         at GTA.Script.DoTick()
                         at GTA.ScriptThread.OnTick()
2014-03-17 12:28:32 - Direct3D device lost!
2014-03-17 12:28:32 - Direct3D device created!
2014-03-17 12:28:38 - SCRIPTS TERMINATED!
2014-03-17 12:28:38 - Direct3D device lost!
 
===============END .NET SCRIPTHOOK LOG===============
End of *SIGNED* LCPD First Response Issue Report
Digital signature: g9Baw9VgmeH6YgOJKxdNSQ==
 

 

Im rather new to the whole mod thing to begin with and in the back of my mind I keep telling myself its something simple that Ive either not done correctly or have overlooked.  I hope Im not double posting a problem or stepping on any forums toes.  I have been at this for several hours now tho and finally gave up and thought I would ask the community.

Edited by Sogobudo

Share this post


Link to post
Share on other sites

Hello,

 

first of all, the diagnostics tool you're using is outdated. Use the one that ships with 1.0b instead. Issues with not loading AdvancedHook are most likely caused by missing redistributables. Please download and install these two: http://www.microsoft.com/en-us/download/details.aspx?id=5555 & http://www.microsoft.com/en-us/download/details.aspx?id=30679.

 

LMS

Share this post


Link to post
Share on other sites

Hello,

 

first of all, the diagnostics tool you're using is outdated. Use the one that ships with 1.0b instead. Issues with not loading AdvancedHook are most likely caused by missing redistributables. Please download and install these two: http://www.microsoft.com/en-us/download/details.aspx?id=5555 & http://www.microsoft.com/en-us/download/details.aspx?id=30679.

 

LMS

When I try to download from the first link it says "A newer version of Microsoft Visual C++ 2010 Redistributable has been detected on the machine"  & "Same or higher version of .NET Framework 4 Client Profile has already been installed on this computer."  The Second Link goes to the Microsoft Download center.

 

Will I need to uninstall my version and get the one that is in the link?

Edited by Sogobudo

Share this post


Link to post
Share on other sites

I uninstalled my versions and replaced them with the downloads you recommended.  I still cannot use the mod in game.

Share this post


Link to post
Share on other sites

I have reverted back to .95 and it works without any issues.  I havnt even had a crash yet in the 6 or so hours i played last night.

 

However, i tried to install both 1.0b and 1.0 properly and according to the how-to ... both will not function.

 

PS:If i am permitted to put a suggestion in the suggestion box?  It would be really cool if you guys had separate forums in your support for each version, .95, 1.0, 1.0b etc etc.  It seems like all 3 versions so far have some unique issues, downloaders, diagnostics, and hot fixes.  When culling through the forums it can be hard (as a member/guest) to determine what version is being talked about sometimes.  Just thought id toss that out there, Im pretty excited to get the 1.0b to work, you guys put in a lot of hard work into this and should be proud!

Edited by Sogobudo

Share this post


Link to post
Share on other sites

0.95 is two years old and not supported anymore, though if it works for you feel free to play it. In case you still want to get 1.0b running, can you please try running the new diagnostics tool that comes within the 1.0b automatic installer?

 

Also it has proven that when having issues with AdvancedHook, running Dependency Walker on AdvancedHook.dll and attaching the output file here can help. It searches your system for missing depedenencies to load the DLL file.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×